Get domain registration
curl --request GET \
--url https://api.bizzyco.ai/v1/domains/{id}/registration \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bizzyco.ai/v1/domains/{id}/registration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/domains/{id}/registration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/domains/{id}/registration"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "<string>",
"autoRenew": true,
"whoisPrivacy": true,
"transferLock": true,
"periodYears": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Domains
Get domain registration
Get registration settings for a Bizzy-managed domain
GET
/
v1
/
domains
/
{id}
/
registration
Get domain registration
curl --request GET \
--url https://api.bizzyco.ai/v1/domains/{id}/registration \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bizzyco.ai/v1/domains/{id}/registration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/domains/{id}/registration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/domains/{id}/registration"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "<string>",
"autoRenew": true,
"whoisPrivacy": true,
"transferLock": true,
"periodYears": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Last modified on August 9, 2026
⌘I